/* Hide all steps by default: */
.tab {
    display: none;
}

form label.pi-register-label {
    color: var(--pi-color-dark);
    font-weight: 700;
}

form .form-check-label {
    color: var(--pi-color-dark);
}

.pi-form-input, input.pi-form-input,
textarea, textarea.pi-form-input {
    background-color: var(--pi-color-universal-white);
    color: var(--pi-color-dark);
    border-radius: 6px;
    border: 1px solid var(--pi-color-primary-disable);
}

.pi-form-input:hover {
    border-color: var(--pi-color-primary-hover);
}

.pi-form-input:focus,
.pi-form-input:active {
    border: 1px solid var(--pi-color-primary);
    box-shadow: unset;
}

#pi-row-competencias-conhecimentos{
    padding-bottom: 1rem;
    padding-top: 1rem;
}

.btn.btn-steps {
    background-color: var(--pi-color-primary);
    border-radius: 50px;
    padding: 15px 30px 15px 30px;
}

/* Mark input boxes that gets an error on validation: */
input.invalid {
    background-color: #ffdddd;
}

form#pi-register-form .row{
    margin-bottom: .75rem;
}
form#pi-register-form .tabs-container nav div#nav-tab button {
    color: var(--pi-color-dark) !important;
    background-color: var(--pi-color-universal-white) !important;
    padding: 10px;
    border-bottom: 5px solid var(--pi-color-universal-white);
    border-radius: 0;
    outline: none;
}

form#pi-register-form .tabs-container nav div#nav-tab button.nav-link.active {
    color: var(--pi-color-primary) !important;
    background-color: var(--pi-color-universal-white) !important;
    padding: 10px;
    border-bottom: 5px solid var(--pi-color-primary) !important;
    border-top: 0;
    border-right: 0;
    border-left: 0;
    border-radius: 0;
}

#pi-register-form .register-error{
    border: 1px solid var(--pi-color-danger);
}

.form-control.register-form-input-text:invalid {
    border: 1px solid var(--pi-color-danger);
}

form#pi-register-form .tabs-container nav div#nav-tab button.nav-link:hover {
    color: var(--pi-color-dark) !important;
    background-color: var(--pi-color-universal-white) !important;
    padding: 10px;
    border-bottom: 5px solid var(--pi-color-primary-hover) !important;
    border-top: 0;
    border-right: 0;
    border-left: 0;
    border-radius: 0;
    cursor: pointer;

}

form#pi-register-form .tabs-container div#nav-tab .nav-tabs .nav-link {
    border: none !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

#pi-steps-wrapper {
    display: flex !important;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 0;
}

.step {
    position: relative;
    flex-grow: 1;
}
.step > .step-number {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 10px;
    border: 2px solid var(--pi-color-secondary);
    background-color: var(--pi-color-universal-white);
    color: var(--pi-color-secondary);
    border-radius: 50%;
    aspect-ratio: 1;
    object-fit: contain;
    object-position: center;
    width: 40px;
    height: 40px;
    margin-bottom: 1rem;
}

.step:not(:last-child) {
    margin-right: 10px;
}

.step:not(:last-child) > .step-number::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    left: 60px;
    padding-right: 70px;
    border-top: 1px solid #707070;
}

.step > .step-title {
    color: var(--pi-color-universal-black);
}

.step.active > .step-title {
    font-weight: bold;
}

.step.finish > .step-number {
    background-color: var(--pi-color-secondary);
    color: var(--pi-color-universal-white);
}

.step.active > .step-number {
    background-color: var(--pi-color-primary);
    border: 2px solid var(--pi-color-primary);
    color: var(--pi-color-universal-white);
}

#prevBtn {
    color: var(--pi-color-universal-black) !important;
}

.pi-item-grid.pi-register-profile .card {
    background-color: var(--pi-color-light);
    color: var(--pi-color-universal-black);
}

.pi-item-grid.pi-register-profile .card > .card-body {
    padding-bottom: 0;
}

.pi-item-grid.pi-register-profile .card-footer,
.pi-item-grid.pi-register-profile .card-title {
    background-color: unset;
    color: var(--pi-color-universal-black);
}

.pi-item-grid.pi-register-profile .card-footer > a {
    color: var(--pi-color-universal-black);
}

.pi-item-grid.pi-register-profile.user-selected .card  {
    background-color: var(--pi-color-primary);
    color: var(--pi-color-universal-white);
}

.pi-item-grid.pi-register-profile.user-selected .card-footer,
.pi-item-grid.pi-register-profile.user-selected  .card-title {
    background-color: unset;
    color: var(--pi-color-universal-white);
}

.pi-item-grid.pi-register-profile.user-selected  .card-footer > a {
    color: var(--pi-color-universal-white);
}

.pi-item-grid.pi-register-profile .card-body i.inova-icon {
    font-size: 50px;
}

#entidade-colectiva, #entidade-singular {
    display: none;
}

input[type=file]::file-selector-button,
input[type=file]::-ms-browse,
input[type=file]::-webkit-file-upload-button {
    padding: .2em .4em;
    border-radius: 8px;
    background-color: var(--pi-color-primary);
    transition: 1s;
    color: var(--pi-color-universal-white);
}

input[type=file]::file-selector-button:hover,
input[type=file]::-ms-browse:hover,
input[type=file]::-webkit-file-upload-button:hover {
    background-color: var(--pi-color-primary-hover);
}

.resumo {
    filter: grayscale(1);
}

.disabled-button {
    
    border: 1px solid #999999 !important;
    background-color: #cccccc !important;
    color: #666666 !important;

}